Get Reward Category

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to retrieve the details of the reward categories for a particular brand. A Reward Category is a metadata attribute used to classify rewards into predefined groups based on their nature or purpose. For example, categories can include fashion, electronics, or groceries.

👍

Note

For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call.

Prerequisites

  • Authentication - Basic or OAuth authentication details
  • Default access group
  • Brand ID or Brand Name

Resource information

URL/api_gateway/rewards/core/v1/metadata/categories/brand/\{brandId\}
HTTP methodGET
PaginationYes
Rate limitNA
Batch supportNA

API endpoint example

With Brand ID:

https://eu.api.capillarytech.com/api_gateway/rewards/core/v1/metadata/categories/brand/55

With Brand Name:

https://eu.api.capillarytech.com/api_gateway/rewards/core/v1/metadata/categories/brand/blisswave

Request path parameters

(Parameters marked with * are mandatory)Data TypeDescription
brandId*LongUnique identifier for the brand under which the reward category is associated. To retrieve brandId, refer to the Retrieve Brand ID API.

Either brandId or brandName must be provided.
brandName*StringName of the brand under which the reward category is associated. The brand name is case-insensitive.

Either brandId or brandName must be provided.

Request query parameters

Parameter NameData TypeDescription
sortByEnumSorts the returned reward category list.

Supported values: lastUpdatedOn
orderByEnumSpecifies the order in which results should be sorted.

Supported values: "ASC" for ascending, "DESC" for descending.

Default value is "DESC"

curl --location 'https://eu.api.capillarytech.com/api_gateway/rewards/core/v1/metadata/categories/brand/55' \
--header 'Accept: */*' \
--header 'Authorization: Basic Ymxpc3MJmNGRjNzU5MWI1NzY='
curl --location 'https://eu.api.capillarytech.com/api_gateway/rewards/core/v1/metadata/categories/brand/55?orderBy=ASC&sortBy=lastUpdatedOn' \
--header 'Accept: */*' \
--header 'Authorization: Basic Z2VvcmdlLmpvaG5zb246OTg4OTU2NWI4ODVhMmY4ZWE1MTk1MjA2NWEwYTEzNzg=' \
--header 'Cookie: _cfuvid=fUmBd935rmGsApqf1rYLG1M2QWI_fYSTy7P0wHTVZIs-1747377050702-0.0.1.1-604800000'

Response parameters

ParameterData TypeDescription
statusObjectContains the status details for the data retrieval.
-successBooleanIndicates whether the request operation was successful. Values: true or false.
-codeIntegerResponse code for the operation. Example: 200
-messageStringMessage describing the result of the operation. Example: Category fetched successfully.
categoryListObjectContains the details of the reward categories for the specified brand.
-idIntegerUnique identifier for the reward category.
-nameStringName of the reward category.
-enabledBooleanCurrent active status of the reward category. If true, the reward category is currently active, else it is inactive.Values: true or false.

{
    "status": {
        "success": true,
        "code": 200,
        "message": "Category fetched successfully"
    },
    "categoryList": [
        {
            "id": 128,
            "name": "tickets",
            "enabled": false
        },
        {
            "id": 111,
            "name": "training",
            "enabled": true
        }
    ]
}
{
    "status": {
        "success": false,
        "code": 3004,
        "message": "Brand not found"
    },
    "categoryList": null
}
{
    "status": {
        "success": true,
        "code": 200,
        "message": "Category fetched successfully"
    },
    "categoryList": [
        {
            "id": 170,
            "name": "toys",
            "enabled": true,
            "createdOn": 1735816377000,
            "lastUpdatedOn": 1735816377000,
            "createdBy": null,
            "lastUpdatedBy": null,
            "createdOnDateTime": "2025-01-02T11:12:57Z",
            "lastUpdatedOnDateTime": "2025-01-02T11:12:57Z"
        },
        {
            "id": 229,
            "name": "joreward",
            "enabled": true,
            "createdOn": 1741059743000,
            "lastUpdatedOn": 1741059743000,
            "createdBy": null,
            "lastUpdatedBy": null,
            "createdOnDateTime": "2025-03-04T03:42:23Z",
            "lastUpdatedOnDateTime": "2025-03-04T03:42:23Z"
        },
        {
            "id": 251,
            "name": "docdemo",
            "enabled": true,
            "createdOn": 1742387687000,
            "lastUpdatedOn": 1742387687000,
            "createdBy": null,
            "lastUpdatedBy": null,
            "createdOnDateTime": "2025-03-19T12:34:47Z",
            "lastUpdatedOnDateTime": "2025-03-19T12:34:47Z"
        }
    ]
}

API Error Codes

Error codeMessageDescription
3004Brand not foundInvalid brandName or brandId in the request.
Path Params
int64
required
string
required
Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json